Subject: Re: [X2Go-Dev] Black window with KDE5 plasma

From: Mihai Moldovan <[email-masked]>
Date: Fri, 1 Sep 2017 07:18:27 +0200

On 08/28/2017 03:46 PM, Klaus Fuerstberger wrote:
> I tested an KDE Neon LTS 5.8 (based on Ubuntu xenial) and KDE Neon 5.9
> (based on Ubuntu zesty) on my system. With both distributions, nouveau
> and mesa glx is running fine. Also connecting with x2go to an x2goserver
> installed is no problem.
> After compiling and installing the mentioned latest NVIDIA driver, x2go
> fails again to launch KDE plasma.

This is likely the cause because the nVidia driver installs its own libGL version.

This is fine as long you only ever use the machine locally, but fails badly in
use cases such as X2Go.

Typically it might be possible to ignore the directory in which the package
installs this special libGL version and thus making sure that the MESA-gl
version is being used. Not a trivial task to do from X2Go's viewpoint, since the
libGL directory is hardcoded within the system's ld.so.conf file.

Mihai